## Name

step — generate a step function by comparing two values

## Declaration

`genType step(` | genType edge,
| genType x`)`;

`genType step(` | float edge,
| genType x`)`;

`genDType step(` | genDType edge,
| genDType x`)`;

`genDType step(` | double edge,
| genDType x`)`;

## Parameters

`edge`

  Specifies the location of the edge of the step function.

`x`

  Specify the value to be used to generate the step function.

## Description

`step` generates a step function by comparing `x` to `edge`.

For element i of the return value, 0.0 is returned if `x`[i] < `edge`[i], and 1.0 is returned otherwise.

## Version Support

| OpenGL Shading Language Version
--- | ---
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
step (genType) | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔
step (genDType) | - | - | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

## See Also

mix, smoothstep

## Copyright

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.